summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/busybox.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 12:04:58 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2015-01-03 12:04:58 +0100
commit008d0be72b2f160382c6e880765e96b64a050c65 (patch)
tree36f48a98a3815a408e2ce1693dd182af90f80305 /release/src/router/busybox/busybox.sh
parent611becfb8726c60cb060368541ad98191d4532f5 (diff)
downloadtomato-008d0be72b2f160382c6e880765e96b64a050c65.tar.gz
tomato-008d0be72b2f160382c6e880765e96b64a050c65.tar.bz2
imported original firmware WRT54GL_v4.30.11_11_US
Diffstat (limited to 'release/src/router/busybox/busybox.sh')
-rwxr-xr-xrelease/src/router/busybox/busybox.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/release/src/router/busybox/busybox.sh b/release/src/router/busybox/busybox.sh
new file mode 100755
index 00000000..7c3deb20
--- /dev/null
+++ b/release/src/router/busybox/busybox.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+export LC_ALL=POSIX
+export LC_CTYPE=POSIX
+
+RAW=` \
+ gcc -E -dM ${1:-Config.h} | \
+ sed -n -e '/^.*BB_FEATURE.*$/d;s/^#define.*\<BB_\(.*\)\>/\1.c/gp;' \
+ | tr A-Z a-z | sort
+`
+test "${RAW}" != "" || exit
+if [ -d "$BB_SRC_DIR" ]; then cd $BB_SRC_DIR; fi
+# By running $RAW through "ls", we avoid listing
+# source files that don't exist.
+ls $RAW 2>/dev/null | tr '\n' ' '
+